org.h2.expression

## Enum BinaryOperation.OpType

- java.lang.Object
- - java.lang.Enum<BinaryOperation.OpType>
  - - org.h2.expression.BinaryOperation.OpType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BinaryOperation.OpType>

Enclosing class:
  BinaryOperation

    public static enum BinaryOperation.OpType
    extends java.lang.Enum<BinaryOperation.OpType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DIVIDE` This operation represents a division as in 4 / 2.
`MINUS` This operation represents a subtraction as in 2 - 1.
`MULTIPLY` This operation represents a multiplication as in 2 * 3.
`PLUS` This operation represents an addition as in 1 + 2.

### Method Summary

All Methods Static Methods Concrete Methods
`static BinaryOperation.OpType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BinaryOperation.OpType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PLUS

    public static final BinaryOperation.OpType PLUS

This operation represents an addition as in 1 + 2.

#### MINUS

    public static final BinaryOperation.OpType MINUS

This operation represents a subtraction as in 2 - 1.

#### MULTIPLY

    public static final BinaryOperation.OpType MULTIPLY

This operation represents a multiplication as in 2 * 3.

#### DIVIDE

    public static final BinaryOperation.OpType DIVIDE

This operation represents a division as in 4 / 2.

### Method Detail

#### values

    public static BinaryOperation.OpType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BinaryOperation.OpType c : BinaryOperation.OpType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BinaryOperation.OpType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null